package nezapornecislo;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 *
 * @author lsroubov
 */
public class NezaporneCislo {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        int cislo;
        Scanner kl = new Scanner(System.in);
        while (true) {
            try {
                System.out.println("Zadej cislo: ");
                cislo = kl.nextInt();
                break;
            } catch (InputMismatchException e) {
                System.out.println("Nutno zadat cele cislo.");
                kl.nextLine(); // vyprazdneni bufferu klavesnice
            }
        }
        if (cislo < 0) {
            System.out.printf("Cislo %d je zaporne\n", cislo);
        } else {
            System.out.printf("Cislo %d je nezaporne\n", cislo);
        }

        String jakeJeCislo = (cislo < 0) ? "zaporne" : "nezaporne";
        System.out.printf("Cislo %d je %s\n", cislo, jakeJeCislo);

        System.out.printf("Cislo %d je %s\n", cislo, (cislo < 0) ? "zaporne" : "nezaporne");
    }

}
